API

Get Started

WelcomeQuickstartGuidesChangelogSDKs and ToolsAdditional Info

Authorization

POSTCreate personal access token

List Accounts

GETGet accounts

Account Details

GETGet account portfolio v2GETGet history

Tax Lot Selling

GETGet unrealized tax lotsGETGet unrealized tax lots for symbolGETGet unrealized tax lots csv

Instrument Details

GETGet all instrumentsGETGet instrumentGETSearch bonds

Market Data

POSTGet quotesGETGet bond detailsPOSTGet option expirationsPOSTGet option chainGETGet bars v2GETGet bars v2 with aggregation

Orders

POSTPreflight single legPOSTPreflight multi legPOSTPlace orderPUTReplace orderPOSTSearch ordersPOSTPlace multileg orderGETGet orderDELETECancel order

Option Details

GETGet option greeksPOSTGet strategy quote

Event Contracts

POSTGet event summaryGETGet event categoriesGETGet event details
HelpFeedback
Event Contracts

Get event summary

POST/userapigateway/eventcontract/summary

Parameters

No parameters

Request body

Required*

Body

application/json

Request Body

application/json
categorystring

filter for a specific category.

subcategorystring

filter for a specific subcategory.

nextTokenstring

the next token for pagination.

displayResolvedEventsboolean

whether to display resolved events.

createdWithinDaysinteger

filter for events that have been created within the last x days.

sortingModeenum<string>required

the sorting mode for the returned events.

Available options: VOLUME,EXPIRATION,RECENTLY_ADDED
filters

Responses

Response

200
application/json
contentobject[]required
nextTokenstring
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more
{
  "content": [
    {
      "title": "string",
      "eventId": "string",
      "volume": "string",
      "resolutionTime": "2023-11-07T05:31:56Z",
      "resolved": true,
      "halted": true,
      "category": "string",
      "subcategories": [
        "string"
      ],
      "symbols": [
        "string"
      ]
    }
  ],
  "nextToken": "string"
}
The Public Individual API is for your own personal, non-commercial use. Unauthorized access is prohibited. You are responsible for all trades made via the API. Learn more